class PostAssessmentRequestUpdateModel {
  int? patientMRN;
  int? appointmentNo;
  int? episodeId;
  String? createdByName;
  int? createdBy;
  List<IcdCodeDetailsUpdate?>? icdCodeDetails;

  PostAssessmentRequestUpdateModel(
      {this.patientMRN,
        this.appointmentNo,
        this.episodeId,
        this.createdByName,
        this.createdBy,
        this.icdCodeDetails});

  PostAssessmentRequestUpdateModel.fromJson(Map<String, dynamic> json) {
    patientMRN = json['PatientMRN'];
    appointmentNo = json['AppointmentNo'];
    episodeId = json['EpisodeID'];
    createdByName = json['CreatedByName'];
    createdBy= json['CreatedBy'];
    if (json['icdCodeDetails'] != null) {
      icdCodeDetails = [];
      json['icdCodeDetails'].forEach((v) {
        icdCodeDetails!.add(new IcdCodeDetailsUpdate.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['PatientMRN'] = this.patientMRN;
    data['AppointmentNo'] = this.appointmentNo;
    data['EpisodeID'] = this.episodeId;
    data['CreatedByName'] = this.createdByName;
    data['CreatedBy'] = this.createdBy;
    if (this.icdCodeDetails != null) {
      data['icdCodeDetails'] =
          this.icdCodeDetails!.map((v) => v?.toJson()).toList();
    }
    return data;
  }
}

class IcdCodeDetailsUpdate {
  String? icdcode10Id;
  String? prevIcdCode10ID;
  int? conditionId;
  int? diagnosisTypeId;
  bool? complexDiagnosis;
  String? remarks;

  IcdCodeDetailsUpdate(
      {this.icdcode10Id,
        this.conditionId,
        this.prevIcdCode10ID,
        this.diagnosisTypeId,
        this.complexDiagnosis,
        this.remarks});

  IcdCodeDetailsUpdate.fromJson(Map<String, dynamic> json) {
    icdcode10Id = json['icdcode10Id'];
    conditionId = json['conditionId'];
    prevIcdCode10ID = json['prevIcdCode10ID'];
    diagnosisTypeId = json['diagnosisTypeId'];
    complexDiagnosis = json['complexDiagnosis'];
    remarks = json['remarks'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['icdcode10Id'] = this.icdcode10Id;
    data['conditionId'] = this.conditionId;
    data['prevIcdCode10ID'] = this.prevIcdCode10ID;
    data['diagnosisTypeId'] = this.diagnosisTypeId;
    data['complexDiagnosis'] = this.complexDiagnosis;
    data['remarks'] = this.remarks;
    return data;
  }
}




